From e19365ede51f1306a72f45d784dd5266cd060595 Mon Sep 17 00:00:00 2001
From: Carl Huang <cjhuang@codeaurora.org>
Date: Thu, 18 Jun 2020 15:01:58 +0800
Subject: [PATCH 127/127] ath11k: remove wakeup before powerdown MHI

There is no need to wakeup MHI before power down MHI, so remove it.
Otherwise, MHI throws a warning as dev_wake is not zero.

Tested-on: QCA6390 WLAN.HST.1.0.1-01676-QCAHSTSWPLZ_V2_TO_X86-1

Change-Id: Ibb47afdd0a64dcfd23922fa2f9b043ee78dbf66f
Signed-off-by: Carl Huang <cjhuang@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/mhi.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/drivers/net/wireless/ath/ath11k/mhi.c b/drivers/net/wireless/ath/ath11k/mhi.c
index 0192864..0aeee1a 100644
--- a/drivers/net/wireless/ath/ath11k/mhi.c
+++ b/drivers/net/wireless/ath/ath11k/mhi.c
@@ -490,7 +490,6 @@ int ath11k_pci_start_mhi(struct ath11k_pci *ab_pci)
 
 void ath11k_pci_stop_mhi(struct ath11k_pci *ab_pci)
 {
-	ath11k_pci_wakeup_mhi(ab_pci);
 	ath11k_pci_set_mhi_state(ab_pci, ATH11K_MHI_POWER_OFF);
 	ath11k_pci_set_mhi_state(ab_pci, ATH11K_MHI_DEINIT);
 }
-- 
2.7.4

